#before_html .before_html_inner {
  /* end input_debug_wrap */
}
#before_html .before_html_inner .input_debug_wrap {
  margin-bottom: 20px;
  display: flex;
  justify-content: space-between;
}
#before_html .before_html_inner .input_debug_wrap .input_html_wrap {
  width: 65%;
}
#before_html .before_html_inner .input_debug_wrap .input_html_wrap #input_html {
  width: 100%;
  height: 250px;
  font-size: 14px;
  border-radius: 5px;
  border: solid 1px #ccc;
  box-sizing: border-box;
}
#before_html .before_html_inner .input_debug_wrap .html_debug_wrap {
  width: 30%;
}
#before_html .before_html_inner .input_debug_wrap .html_debug_wrap #html_debug {
  padding: 1em;
  width: 100%;
  height: 250px;
  font-size: 14px;
  word-break: break-all;
  border-radius: 5px;
  border: solid 1px #ccc;
  background-color: #272823;
  box-sizing: border-box;
  resize: none;
}
#before_html .before_html_inner .button_wrap input[type=button] {
  height: 50px;
  font-size: 20px;
  font-weight: bold;
  letter-spacing: 0.1rem;
  color: #fff;
  border-radius: 5px;
  cursor: pointer;
  transition: opacity 0.3s;
}
#before_html .before_html_inner .button_wrap input[type=button]:hover {
  opacity: 0.75;
}
#before_html .before_html_inner .button_wrap input[name=beautiful_button] {
  width: 250px;
  background-color: #f3a13f;
}
#before_html .before_html_inner .button_wrap input[name=clear_button] {
  margin-left: 10px;
  width: 250px;
  background-color: #595757;
}

#after_html {
  /* setting_wrap */
}
#after_html .setting_wrap {
  width: 30%;
  float: right;
}
#after_html .setting_wrap .setting_group:not(:last-child) {
  margin-bottom: 30px;
}
#after_html .setting_wrap .setting_group select {
  width: 100%;
  height: 30px;
  font-size: 15px;
  display: inline-block;
  border-radius: 5px;
  border: solid 1px #ccc;
  -webkit-appearance: menulist;
  -moz-appearance: menulist;
  appearance: menulist;
}
#after_html .setting_wrap .setting_group .radio_group_wrap {
  padding: 10px 15px;
  background-color: #ddd;
  border-radius: 5px;
  display: flex;
  flex-wrap: wrap;
}
#after_html .setting_wrap .setting_group .radio_group_wrap .radio_group:not(:first-child) {
  margin-left: 20px;
}
#after_html .setting_wrap .setting_group .radio_group_wrap .radio_group input[type=radio] {
  cursor: pointer;
  transform: scale(1.25);
}
#after_html .output_wrap {
  width: 65%;
  float: left;
}
#after_html .output_wrap #output_html {
  margin-bottom: 20px;
  width: 100%;
  height: 500px;
  font-size: 14px;
  border-radius: 5px;
  border: solid 1px #ccc;
  box-sizing: border-box;
}
#after_html .output_wrap input[name=copy_button] {
  width: 250px;
  height: 50px;
  font-size: 20px;
  font-weight: bold;
  letter-spacing: 0.1rem;
  color: #fff;
  background-color: #f3a13f;
  border-radius: 5px;
  cursor: pointer;
  transition: opacity 0.3s;
}
#after_html .output_wrap input[name=copy_button]:hover {
  opacity: 0.75;
}
#after_html .output_wrap #copied {
  position: fixed;
  right: 30px;
  bottom: 20px;
  padding: 20px 25px;
  color: #fff;
  font-size: 14px;
  display: none;
  border-radius: 5px;
  background-color: rgba(0, 0, 0, 0.8);
}

@media screen and (max-width: 480px) {
  #before_html .before_html_inner {
    /* end input_debug_wrap */
  }
  #before_html .before_html_inner .input_debug_wrap {
    margin-bottom: 30px;
    display: block;
    justify-content: space-between;
  }
  #before_html .before_html_inner .input_debug_wrap .input_html_wrap {
    margin-bottom: 20px;
    width: 100%;
  }
  #before_html .before_html_inner .input_debug_wrap .input_html_wrap #input_html {
    width: 100%;
    height: 250px;
    font-size: 14px;
    border-radius: 5px;
    border: solid 1px #ccc;
    box-sizing: border-box;
  }
  #before_html .before_html_inner .input_debug_wrap .html_debug_wrap {
    width: 100%;
  }
  #before_html .before_html_inner .input_debug_wrap .html_debug_wrap #html_debug {
    padding: 1em;
    width: 100%;
    height: 150px;
    font-size: 14px;
    word-break: break-all;
    border-radius: 5px;
    border: solid 1px #ccc;
    background-color: #272823;
    box-sizing: border-box;
    resize: none;
  }
  #before_html .before_html_inner .button_wrap input[type=button] {
    height: 50px;
    font-size: 20px;
    font-weight: bold;
    letter-spacing: 0.1rem;
    color: #fff;
    border-radius: 5px;
    cursor: pointer;
    transition: opacity 0.3s;
  }
  #before_html .before_html_inner .button_wrap input[type=button]:hover {
    opacity: 0.75;
  }
  #before_html .before_html_inner .button_wrap input[name=beautiful_button] {
    margin-bottom: 15px;
    width: 100%;
    background-color: #f3a13f;
  }
  #before_html .before_html_inner .button_wrap input[name=clear_button] {
    margin-left: 0px;
    width: 100%;
    background-color: #595757;
  }

  #after_html .setting_wrap {
    width: 100%;
    float: none;
  }
  #after_html .setting_wrap .setting_group {
    margin-bottom: 30px;
  }
  #after_html .setting_wrap .setting_group:not(:last-child) {
    margin-bottom: 30px;
  }
  #after_html .setting_wrap .setting_group select {
    width: 100%;
    height: 30px;
    font-size: 15px;
    display: inline-block;
    border-radius: 5px;
    border: solid 1px #ccc;
    -webkit-appearance: menulist;
    -moz-appearance: menulist;
    appearance: menulist;
  }
  #after_html .setting_wrap .setting_group .radio_group_wrap {
    padding: 10px 15px;
    background-color: #ddd;
    border-radius: 5px;
    display: flex;
    flex-wrap: wrap;
  }
  #after_html .setting_wrap .setting_group .radio_group_wrap .radio_group:not(:first-child) {
    margin-left: 20px;
  }
  #after_html .setting_wrap .setting_group .radio_group_wrap .radio_group input[type=radio] {
    cursor: pointer;
    transform: scale(1.25);
  }
  #after_html .output_wrap {
    width: 100%;
    float: none;
  }
  #after_html .output_wrap #output_html {
    margin-bottom: 20px;
    width: 100%;
    height: 350px;
    font-size: 14px;
    border-radius: 5px;
    border: solid 1px #ccc;
    box-sizing: border-box;
  }
  #after_html .output_wrap input[name=copy_button] {
    width: 100%;
    height: 50px;
    font-size: 20px;
    font-weight: bold;
    letter-spacing: 0.1rem;
    color: #fff;
    background-color: #f3a13f;
    border-radius: 5px;
    cursor: pointer;
    transition: opacity 0.3s;
  }
  #after_html .output_wrap input[name=copy_button]:hover {
    opacity: 0.75;
  }
  #after_html .output_wrap #copied {
    position: fixed;
    right: 30px;
    bottom: 20px;
    padding: 20px 25px;
    color: #fff;
    font-size: 14px;
    display: none;
    border-radius: 5px;
    background-color: rgba(0, 0, 0, 0.8);
  }
}